[1/8] xfstests: fix btrfs/002 to not use the scratch dev pool
diff mbox

Message ID 1382120790-31060-1-git-send-email-jbacik@fusionio.com
State Not Applicable
Headers show

Commit Message

Josef Bacik Oct. 18, 2013, 6:26 p.m. UTC
This test doesn't need the scratch dev pool and it also doesn't call
_require_scratch_dev_pool, so just kick out the scratch dev pool part of the
test.  Thanks,

Reviewed-by: Anand Jain <anand.jain@oracle.com>
Signed-off-by: Josef Bacik <jbacik@fusionio.com>
---
 tests/btrfs/002 | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Comments

Rich Johnston Oct. 22, 2013, 8:57 p.m. UTC | #1
This patch has been committed.

Thanks
--Rich

commit 122fba38be096e63d15e31d45372a1e344fa67b5
Author: Josef Bacik <jbacik@fusionio.com>
Date:   Fri Oct 18 18:26:23 2013 +0000

     xfstests: fix btrfs/002 to not use the scratch dev pool
--
To unsubscribe from this list: send the line "unsubscribe linux-btrfs" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Patch
diff mbox

diff --git a/tests/btrfs/002 b/tests/btrfs/002
index f4389ae..19a62c6 100755
--- a/tests/btrfs/002
+++ b/tests/btrfs/002
@@ -45,9 +45,8 @@  _need_to_be_root
 _supported_fs btrfs
 _supported_os Linux
 _require_scratch
-_require_scratch_dev_pool
 
-_scratch_pool_mkfs > /dev/null 2>&1 || _fail "mkfs failed"
+_scratch_mkfs > /dev/null 2>&1 || _fail "mkfs failed"
 _scratch_mount
 
 # Create and save sha256sum